> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lyceum.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Abort execution

> Abort a specific execution by setting cancel=true in the database.



## OpenAPI

````yaml /api-reference/openapi.json post /api/v2/external/workloads/abort/{execution_id}
openapi: 3.1.0
info:
  title: Lyceum Cloud Execution API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v2/external/workloads/abort/{execution_id}:
    post:
      tags:
        - Executions
      summary: Abort execution
      description: Abort a specific execution by setting cancel=true in the database.
      operationId: abort_execution_api_v2_external_workloads_abort__execution_id__post
      parameters:
        - name: execution_id
          in: path
          required: true
          schema:
            type: string
            title: Execution Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AbortResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AbortResponse:
      properties:
        execution_id:
          type: string
          title: Execution Id
        status:
          type: string
          title: Status
        message:
          type: string
          title: Message
      type: object
      required:
        - execution_id
        - status
        - message
      title: AbortResponse
      description: Response model for abort execution endpoint.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````